Get Member Points
Retrieve disciplinary point totals for a member.
GET https://api.sonorancms.com/v2/community/disciplinary/accounts/00000000-0000-0000-0000-000000000000/points
Rate limit:
27 requests per minute
Authenticated v2 endpoints are rate limited per credential rather than per IP address.
Retrieve disciplinary point totals for a member.
Route Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| accountId | string (uuid) | Yes | Target accountId. |
Query Parameters
| Name | Type | Required | Description |
| --- | --- | --- | --- |
| accId | string | Yes | See example request for the shape. |
Example Request
local Sonoran = require("sonoran")
local sonoran = Sonoran.createClient({
product = Sonoran.productEnums.CMS,
apiKey = "YOUR_API_KEY",
communityId = "YOUR_COMMUNITY_ID",
defaultServerId = 1,
timeoutMs = 30000,
})
local accountId = "00000000-0000-0000-0000-000000000000"
local query = {
["accId"] = "00000000-0000-0000-0000-000000000000"
}
local response = sonoran.cms:getDisciplinaryPointsV2(accountId, query)
if response.success then
print(response.data)
else
print(response.reason)
endResponse
The data value is the computed disciplinary point total for the account.
Last updated
Was this helpful?

